Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlSceneObserver Class Reference

`#include <GlSceneObserver.h>`

List of all members.

## Detailed Description

An observer to the scene An observer to the scene who observe layers.

## Public Member Functions

- virtual ~GlSceneObserver ()
- virtual void addLayer (GlScene *, const std::string &, GlLayer *)
- virtual void delLayer (GlScene *, const std::string &, GlLayer *)
- virtual void modifyLayer (GlScene *, const std::string &, GlLayer *)
- virtual void modifyEntity (GlScene *, GlSimpleEntity *)

## Constructor & Destructor Documentation

virtual tlp::GlSceneObserver::~GlSceneObserver | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void tlp::GlSceneObserver::addLayer | ( | GlScene * | ,
|  | const std::string & | ,
|  | GlLayer * |
| ) | `[inline, virtual]`

| This function is call when we add a new layer

virtual void tlp::GlSceneObserver::delLayer | ( | GlScene * | ,
|  | const std::string & | ,
|  | GlLayer * |
| ) | `[inline, virtual]`

| This function is call when we remove a layer

virtual void tlp::GlSceneObserver::modifyEntity | ( | GlScene * | ,
|  | GlSimpleEntity * |
| ) | `[inline, virtual]`

| This function is call when we modify an entity

virtual void tlp::GlSceneObserver::modifyLayer | ( | GlScene * | ,
|  | const std::string & | ,
|  | GlLayer * |
| ) | `[inline, virtual]`

| This function is call when we add an entity to the layer

Tulip Software by LaBRI Visualization Team 2001 - 2010